Bug 860976 - [US2814][fork]Have not the list of action in rhc alias --help
[US2814][fork]Have not the list of action in rhc alias --help
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: chris alfonso
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 04:55 EDT by Wei Sun
Modified: 2016-01-31 21:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2012-09-27 04:55:22 EDT
Description of problem:
run "rhc alias --help",have not the list of action, "add" and "remove" actions should be listed.

Version-Release number of selected component (if applicable):
fork_ami_openshift_US2814_US22816_160

How reproducible:
always

Steps to Reproduce:
1.rhc alias --help
2.
3.
  
Actual results:
[sunwei@dhcp-8-229 dev]$ rhc alias --help
Usage: rhc alias <command> <application> <alias> [--namespace namespace]

Add or remove a custom domain name for the application

Global Options
  -l, --rhlogin login       OpenShift login
  -p, --password password   OpenShift password
  -d, --debug               Turn on debugging
  --noprompt                Do not ask for input
  --config FILE             Path of a different config file
  -h, --help                Display help documentation
  -v, --version             Display version information
  -t, --trace               Display backtrace when an error occurs

Expected results:
"add" and "remove" commands should be listed.
Such as:

List of Actions
add  add the alias to the application
remove remove the alias from the application

Additional info:
Comment 1 chris alfonso 2012-09-27 16:22:20 EDT
https://github.com/J5/rhc/pull/12

This code is currently in my master and commands-merge-master branch
https://github.com/calfonso/rhc

Once the pull request is processed, J5's fork will have my changes.  Feel free to test the fixes from my fork as well.
Comment 2 Wei Sun 2012-09-28 05:21:37 EDT
verified on devenv_2248, and building  rhc package using repo git@github.com:calfonso/rhc.git

step:
1.rhc alias --help

Result:

OpenShiftmatoMacBook-Pro:client OpenShift$ rhc alias --help
Usage: rhc alias <command> <application> <alias> [--namespace namespace]

Add or remove a custom domain name for the application

List of Actions
  remove             Remove a custom domain name for the application
  add                Add a custom domain name for the application

Global Options
  -l, --rhlogin login       OpenShift login
  -p, --password password   OpenShift password
  -d, --debug               Turn on debugging
  --noprompt                Do not ask for input
  --config FILE             Path of a different config file
  -h, --help                Display help documentation
  -v, --version             Display version information
  -t, --trace               Display backtrace when an error occurs

Note You need to log in before you can comment on or make changes to this bug.